Date: main.o Date.o .gitignore
	g++ main.o Date.o  -o Date

main.ii: main.cpp Date.hpp
	g++ -E main.cpp -o main.ii

Date.ii: Date.cpp Date.hpp
	g++ -E Date.cpp -o Date.ii

main.s: main.ii
	g++ -S main.ii -o main.s

Date.s: Date.ii
	g++ -S Date.ii -o Date.s

main.o: main.s
	g++ -c main.s -o main.o

Date.o: Date.s
	g++ -c Date.s -o Date.o

.gitignore:
	echo Date > .gitignore

cleanup:
	rm -f *.ii *.s *.o *.out Date .gitignore

test1: Date
	./Date  < test1.in > test1.out || echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: main.ii main.s
.SECONDARY: main.ii main.s

